<?php

class WingWorkflow extends WingBase {

  public $wid;

  public function __construct(array $values, $entityType = NULL) {
    if (!isset($entityType)) {
      $entityType = 'wing_workflow';
    }
    dsm($values, __METHOD__);
    parent::__construct($values, $entityType);
  }

  public function __toString() {
    $ret = $this->label();
    if (empty($ret)) {
      $ret = "<empty>";
    }
    dsm($ret, __METHOD__);
    return $ret;
  }

  public function defaultUri() {
    $ret = array(
      'path' => 'admin/content/wing/workflow/' . $this->identifier(),
    );
    dsm($ret, __METHOD__);
    return $ret;
  }

  public function defaultLabel() {
    $ret = parent::defaultLabel();
    dsm($ret, __METHOD__);
    return $ret;
  }
}
